<div [ngClass]="weatherState.state" class="w-24 h-24 rounded-md shadow-md flex flex-col justify-center items-center"
  [title]="weatherState.title">
  <i [ngClass]="weatherState.icon" class="ri-4x text-white"></i>
</div>
<span class=" capitalize font-semibold">{{weatherState.title}}</span>
